Skip to content
GuidesBlogPlaygroundDashboard

Look up elevation for multiple coordinates

client.elevation.batch(ElevationBatchParams { coordinates, format } params, RequestOptionsoptions?): ElevationBatchResult { features, type }
POST/api/v1/elevation/batch

Look up elevation for multiple coordinates

ParametersExpand Collapse
params: ElevationBatchParams { coordinates, format }
coordinates: Array<Coordinate>

Body param: Coordinates to look up elevations for (max 50)

lat: number

Latitude in decimal degrees (-90 to 90)

maximum90
minimum-90
lng: number

Longitude in decimal degrees (-180 to 180)

maximum180
minimum-180
format?: string

Query param: Response format: json (default), geojson, csv, ndjson

ReturnsExpand Collapse
ElevationBatchResult { features, type }

GeoJSON FeatureCollection of elevation Point Features with 3D coordinates. Order matches the input coordinates array.

features: Array<ElevationLookupResult { geometry, properties, type } >

Elevation results in the same order as input coordinates

geometry: GeoJsonGeometry { coordinates, type }

GeoJSON Geometry object per RFC 7946. Coordinates use [longitude, latitude] order. 3D coordinates [lng, lat, elevation] are used for elevation endpoints.

coordinates: Array<number> | Array<Array<number>> | Array<Array<Array<number>>> | Array<Array<Array<Array<number>>>>

Coordinates array. Nesting depth varies by geometry type: Point = [lng, lat], LineString = [[lng, lat], ...], Polygon = [[[lng, lat], ...], ...], etc.

One of the following:
Array<number>
Array<Array<number>>
Array<Array<Array<number>>>
Array<Array<Array<Array<number>>>>
type: "Point" | "LineString" | "Polygon" | 3 more

Geometry type

One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: Properties { elevation_m }
elevation_m: number

Elevation in meters above mean sea level (WGS84 EGM96 geoid)

type: "Feature"
type: "FeatureCollection"

Look up elevation for multiple coordinates

import Plaza from '@plazafyi/sdk';

const client = new Plaza({
  apiKey: process.env['PLAZA_API_KEY'], // This is the default and can be omitted
});

const elevationBatchResult = await client.elevation.batch({
  coordinates: [
    { lat: 48.8566, lng: 2.3522 },
    { lat: 45.764, lng: 4.8357 },
  ],
});

console.log(elevationBatchResult.features);
{
  "features": [
    {
      "geometry": {
        "coordinates": [
          2.3522,
          48.8566
        ],
        "type": "Point"
      },
      "properties": {
        "elevation_m": 35.2
      },
      "type": "Feature"
    }
  ],
  "type": "FeatureCollection"
}
Returns Examples
{
  "features": [
    {
      "geometry": {
        "coordinates": [
          2.3522,
          48.8566
        ],
        "type": "Point"
      },
      "properties": {
        "elevation_m": 35.2
      },
      "type": "Feature"
    }
  ],
  "type": "FeatureCollection"
}